org.apache.ignite.internal.processors.cache

## Class GridCacheFilterFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.internal.processors.cache.GridCacheFilterFailedException

All Implemented Interfaces:
  Serializable

    public class GridCacheFilterFailedException
    extends Exception

Thrown when an operation is performed on removed entry.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheFilterFailedException()` Empty constructor.
`GridCacheFilterFailedException(CacheObject val)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`
`CacheObject` `value()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheFilterFailedException

    public GridCacheFilterFailedException()

Empty constructor.

#### GridCacheFilterFailedException

    public GridCacheFilterFailedException(CacheObject val)

Parameters:
  `val` - Value for which filter failed.

### Method Detail

#### value

    public CacheObject value()

Returns:
  Value for failed filter.

#### toString

    public String toString()

Overrides:
  `toString` in class `Throwable`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023